org.eclipse.mat.ibmvm.agent

## Class DumpAgent

- java.lang.Object
- - org.eclipse.mat.ibmvm.agent.DumpAgent

    public class DumpAgent
    extends Object

Helper class which is loaded into the target VM to create a dump. This class requires an IBM VM to compile. A precompiled version of this class exists in the classes folder.

### Field Summary

Fields
`static String` `HEAP`
`static String` `JAVA`
`static String` `SEPARATOR`
`static String` `SYSTEM`

### Constructor Summary

Constructors
Constructor and Description
`DumpAgent()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `agentmain(String arg)` Generate a dump on this machine
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SEPARATOR

    public static final String SEPARATOR

See Also:
  Constant Field Values

#### SYSTEM

    public static final String SYSTEM

See Also:
  Constant Field Values

#### HEAP

    public static final String HEAP

See Also:
  Constant Field Values

#### JAVA

    public static final String JAVA

See Also:
  Constant Field Values

### Constructor Detail

#### DumpAgent

    public DumpAgent()

### Method Detail

#### agentmain

    public static void agentmain(String arg)

Generate a dump on this machine

Parameters:
  `arg` - E.g. "system", "heap+java"

#### main

    public static void main(String[] args)